Subject: Re: I-D Action: draft-ietf-spring-srv6-network-programming-11.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 3 Mar 2020 08:43:34 +1300

The explanations added to section 4.16.1 "PSP: Penultimate Segment Pop of the SRH" certainly help. However, there is still no explanation of how this section is reconciled with RFC 8200. Whether the reader agrees with that reconciliation or not is a separate matter, but I fail to see how this draft could progress to IETF Last Call without such an explanation.

See https://mailarchive.ietf.org/arch/msg/spring/Xrcclo0s4pnug9upG9rUinYMv1I/

Regards
   Brian Carpenter

On 03-Mar-20 05:47, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Source Packet Routing in Networking WG of the IETF.
> 
>         Title           : SRv6 Network Programming
>         Authors         : Clarence Filsfils
>                           Pablo Camarillo Garvia
>                           John Leddy
>                           Daniel Voyer
>                           Satoru Matsushima
>                           Zhenbin Li
> 	Filename        : draft-ietf-spring-srv6-network-programming-11.txt
> 	Pages           : 39
> 	Date            : 2020-03-02
> 
> Abstract:
>    The SRv6 Network Programming framework enables a network operator or
>    an application to specify a packet packet processing program by
>    encoding a sequence of instructions in the IPv6 packet header.
> 
>    Each instruction is implemented on one or several nodes in the
>    network and identified by an SRv6 Segment Identifier in the packet.
> 
>    This document defines the SRv6 Network Programming concept and
>    specifies the base set of SRv6 behaviors that enables the creation of
>    interoperable overlays with underlay optimization (Service Level
>    Agreements).
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-spring-srv6-network-programming/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-spring-srv6-network-programming-11
> https://datatracker.ietf.org/doc/html/draft-ietf-spring-srv6-network-programming-11
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-spring-srv6-network-programming-11
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>